Subject: Re: macros and dtc

From: David Gibson <[email-masked]>
Date: Tue, 20 Feb 2007 10:29:07 +1100

On Tue, Feb 20, 2007 at 07:04:44AM +1100, Benjamin Herrenschmidt wrote:
> 
> > I could envision using something like cpp with #include
> > to get some standard SOC block properties, but macros
> > that try to account for board variations could be quite
> > complex.
> 
> For things like SoC, what I'd like is a way via #include or macros,
> whatever, to layout in a part of the tree a standard block, and then, be
> able to "overlay" on top of it.

Yes, certainly macros on their own wouldn't be very useful for SoCs or
standard boards.  But macros plus overlays should be quite useful.

> I can see other uses for macros for things like making easier to build
> interrupt-map properties for example, especially since most embedded
> boards use standard swizzling

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson